package eu.eudat.logic.services.utilities;

import eu.eudat.data.dao.entities.EmailConfirmationDao;
import eu.eudat.data.entities.EmailConfirmation;

import java.util.UUID;
import java.util.concurrent.CompletableFuture;

public interface ConfirmationEmailService {
	public void createConfirmationEmail(EmailConfirmationDao loginConfirmationEmailDao, MailService mailService, String email, UUID userId);
	
	public void createConfirmationEmail(EmailConfirmationDao loginConfirmationEmailDao, MailService mailService, String email, UUID userId, UUID anotheruserId);

	public CompletableFuture sentConfirmationEmail(EmailConfirmation confirmationEmail, MailService mailService);
}